package com.cku.dao;

import java.util.List;

import org.apache.ibatis.annotations.Param;

import com.cku.model.CkuDogScoreModel;
import com.cku.model.CkuMatchSign;
import com.cku.model.CkuTabGrade;
import com.cku.model.CkuTabGradeWithBLOBs;

public interface CkuTabGradeMapper {
    int deleteByPrimaryKey(Integer id);

    int insert(CkuTabGradeWithBLOBs record);

    int insertSelective(CkuTabGradeWithBLOBs record);

    CkuTabGradeWithBLOBs selectByPrimaryKey(Integer id);

    int updateByPrimaryKeySelective(CkuTabGradeWithBLOBs record);

    int updateByPrimaryKeyWithBLOBs(CkuTabGradeWithBLOBs record);

    int updateByPrimaryKey(CkuTabGrade record);
    
    public List<CkuTabGrade> getDogGradeList(@Param("pedigreeNum")String pedigreeNum,@Param("charTime")String charTime);
    
    public List<CkuTabGrade> getDogGradeMonth(@Param("pedigreeNum")String pedigreeNum);
    
    public List<CkuTabGrade> getGradeListByShowsNum(@Param("studbookNum") String studbookNum,@Param("showNumsQqz") String showNumsQqz,@Param("showNumsDdz") String showNumsDdz);
    /**
     * 
     * @Description：根据犬只CKU证书号查询全犬种成绩汇总
     * @author: zhuoHeng
     * @version: 2016年4月12日 下午3:36:36
     */
    public CkuDogScoreModel getDogScore(@Param("studbookNum") String studbookNum);
}